Subject: Re: bug#22526: 25.0.90; Crash starting gnus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2016 18:00:27 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 07 Feb 2016 16:42:11 +1100
> Cc: [email-masked]
> 
> Andy Moreton <[email-masked]> writes:
> 
> [...]
> 
> > ../../src/insdel.c:411
> >         tem = {
> >           i = 0xd510
> >         }
> >         real_gap_loc = 0xf035
> >         real_gap_loc_byte = 0xf035
> >         old_gap_size = 0x7d0
> >         current_size = 0xf804
> > #12 0x00000004001723c4 in make_gap (nbytes_added=0x830) at
> > ../../src/insdel.c:481
> 
> Hm, that sounds kinda serious...

It is.  Something very basic in inserting text into a buffer went
wrong.

> > #15 0x000000040024ff9d in Finternal_default_process_filter (proc=...,
> > text=...) at ../../src/process.c:5527
> >         old_read_only = {
> >           i = 0x0
> >         }
> >         old_begv = 0x1
> >         old_zv = 0xf035
> >         old_begv_byte = 0x1
> >         old_zv_byte = 0xf035
> >         before = 0xf035
> >         before_byte = 0xf035
> >         opoint_byte = 0xf035
> >         b = 0xbf3270
> >         p = 0x73e8cb0
> >         opoint = 0xf035
> 
> It looks like Emacs is segfaulting while inserting stuff from a filter
> into a buffer, if I'm reading this correctly.  But I have no idea what
> could be causing it.  Anybody?

Hard to tell without a reproducible recipe, or at least some
additional info.  If the session is still running in a debugger, I
might ask some questions about some variables.

Thanks.